PostgreSQLDBHelper (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.db.biosql.PostgreSQLDBHelper class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.db.biosql
Class PostgreSQLDBHelper

    java.lang.Object
      org.biojava.bio.seq.db.biosql.DBHelper
          org.biojava.bio.seq.db.biosql.PostgreSQLDBHelper

    public class PostgreSQLDBHelper

extends DBHelper

Nested Class Summary

Nested classes/interfaces inherited from class org.biojava.bio.seq.db.biosql.DBHelper
`DBHelper.BioSequenceStyle, DBHelper.DeleteStyle, DBHelper.JoinStyle`

Field Summary

Fields inherited from class org.biojava.bio.seq.db.biosql.DBHelper
`BIOSEQUENCE_GENERIC, BIOSEQUENCE_ORACLECLOB, DELETE_GENERIC, DELETE_MYSQL4, DELETE_POSTGRESQL, JOIN_GENERIC, JOIN_ORACLE8`

Constructor Summary
`PostgreSQLDBHelper()`

Method Summary
`DBHelper.DeleteStyle` | `getDeleteStyle()` Returns the an object indicating the style of deletion that this database should employ.
`int` | `getInsertID(Connection conn, String table, String columnName)` Returns the id value created during the last insert command.

Methods inherited from class org.biojava.bio.seq.db.biosql.DBHelper
`containsTable, getBioSequenceStyle, getDBHelper, getJoinStyle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PostgreSQLDBHelper

    public PostgreSQLDBHelper()

Method Detail

### getInsertID

    public int getInsertID(Connection conn,
                           String table,
                           String columnName)
                    throws SQLException

  Description copied from class: `DBHelper`
  Returns the id value created during the last insert command. This is for tables that have an auto increment column.

  Specified by:
    `getInsertID` in class `DBHelper`
  Returns:
    the last id assigned, or -1 if the id could not be found.
  Throws:
    `SQLException`

### getDeleteStyle

    public DBHelper.DeleteStyle getDeleteStyle()

  Description copied from class: `DBHelper`
  Returns the an object indicating the style of deletion that this database should employ. Unless overridden, this is DELETE_GENERIC.

  Overrides:
    `getDeleteStyle` in class `DBHelper`
  Returns:
    the preferred deletion style.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD